import 'package:flutter/material.dart';

class AColors {
  AColors._();

  static const Color white = Color(0xffffffff);
  static const Color black = Color(0xff000000);
  static const Color grey3A = Color(0xff2e303a);
  static const Color grey = Color(0xffe1e7e7);
  static const green = Colors.green;
  static const Color orange = Colors.orange;
  static const Color deepOrange = Colors.deepOrangeAccent;
  static const Color red = Colors.red;
  static const Color deepRed = Color(0xFFD32F2F);
  static const Color scaffoldBackgroundColor = Color(0xffffffff);
  static const Color secondaryColor = Color(0xff111427);
  static const Color primaryColor = Color(0xff5bb0da);
  static const Color cyan = Color(0xff4A8DB7);
  static const Color onPrimaryColor = Color(0xffffffff);
  static Color inputFieldBackgroundColor = Color(0xfff5f5f5);
  static Color greyEF = Color(0xffEFEFEF);

  static Color getRequestStatusColor(int id) {
    switch (id) {
      case 4:
        return AColors.deepRed;
      case 6:
        return AColors.green;
      case 5:
        return AColors.orange;
      case 8:
        return AColors.green;
      case 9:
        return AColors.orange;
      default:
        return AColors.grey;
    }
  }

  static Color getGasStatusColor(int id) {
    switch (id) {
      case 0:
        return AColors.orange;
      case 1:
        return AColors.green;
      default:
        return AColors.grey;
    }
  }
}
